Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Class DisplayInfo

    java.lang.Object
      uchicago.src.sim.gui.DisplayInfo

    public class DisplayInfo

extends java.lang.Object

Encapsulates information used by a display surface to create the view menu. The View menu makes it possible to turn off display(s) or parts of displays (e.g. the nodes in a network display).

Version:
  $Revision: 1.4 $ $Date: 2004/11/03 19:50:59 $
Author:
  Nick Collier

Field Summary
`static int` | `DRAW`
`static int` | `NO_DRAW`

Constructor Summary
`DisplayInfo(java.lang.String menuText, int id, Displayable d)` Creates a new DisplayInfo with the specified menu text, id, and displayble.

Method Summary
`Displayable` | `getDisplayable()` Gets the displayble.
`int` | `getId()` Gets the id.
`java.lang.String` | `getMenuText()` Gets the menu text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRAW

    public static final int DRAW

See Also:
  Constant Field Values

### NO_DRAW

    public static final int NO_DRAW

See Also:
  Constant Field Values

Constructor Detail

### DisplayInfo

    public DisplayInfo(java.lang.String menuText,
                       int id,
                       Displayable d)

  Creates a new DisplayInfo with the specified menu text, id, and displayble.

  Parameters:
    `menuText` - the text to display on the view menu
    `id` - the id associated with this menuText, used to create a ViewEvent when this menu item is selected.
    `d` - the displayable associated with this DisplayInfo

Method Detail

### getMenuText

    public java.lang.String getMenuText()

  Gets the menu text.

### getId

    public int getId()

  Gets the id.

### getDisplayable

    public Displayable getDisplayable()

  Gets the displayble.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD